import * as React from 'react';

// tslint:disable-next-line:no-any
const SvgComponent = (props: any) => (
	<svg viewBox="0 0 40 40" {...props}>
		<path d="M14.6 12.71v13.91a1.16 1.16 0 0 1-1.15 1.16 1.16 1.16 0 0 1-1.16-1.16V12.71a1.16 1.16 0 1 1 2.31 0zM10 13a1.16 1.16 0 0 0-1.16 1.16v11a1.16 1.16 0 0 0 2.32 0v-11A1.16 1.16 0 0 0 10 13zm-3.51 5.51v2.32a.58.58 0 0 0 .58.57h.58v-3.47h-.58a.58.58 0 0 0-.58.58zm9.27-.58h8.81v1.16h-4.06a.58.58 0 1 0 0 1.16h4.06v1.15h-8.81zm1.86 1.74a.58.58 0 1 0 .58-.58.58.58 0 0 0-.58.58zM40 0v40H0V0zm-5 18.51a1.74 1.74 0 0 0-1.74-1.74h-.58v-2.61a2.32 2.32 0 0 0-2.32-2.32 2.28 2.28 0 0 0-1.21.35 2.32 2.32 0 0 0-2.26-1.79 2.32 2.32 0 0 0-2.32 2.31v4.06h-8.81v-4.06a2.32 2.32 0 0 0-4.57-.52 2.32 2.32 0 0 0-3.54 2v2.61h-.58a1.74 1.74 0 0 0-1.74 1.74v2.32a1.74 1.74 0 0 0 1.74 1.73h.58v2.61a2.32 2.32 0 0 0 3.54 2 2.32 2.32 0 0 0 2.26 1.8 2.32 2.32 0 0 0 2.31-2.32v-4.12h8.81v4.06a2.32 2.32 0 0 0 4.58.52 2.28 2.28 0 0 0 1.21.35 2.32 2.32 0 0 0 2.32-2.32v-2.61h.58A1.74 1.74 0 0 0 35 20.83zM30.36 13a1.16 1.16 0 0 0-1.15 1.16v11a1.16 1.16 0 1 0 2.31 0v-11A1.16 1.16 0 0 0 30.36 13zm-3.47-1.45a1.16 1.16 0 0 0-1.16 1.16v13.91a1.16 1.16 0 1 0 2.32 0V12.71a1.16 1.16 0 0 0-1.16-1.16zm6.37 6.38h-.58v3.47h.58a.58.58 0 0 0 .58-.57v-2.32a.58.58 0 0 0-.58-.58z" />
	</svg>
);

export default SvgComponent;
